%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(Carp.pm) perl(Class/ISA.pm) perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(NEXT.pm) perl(Symbol.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(UNIVERSAL/require.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Class-Data-Reloadable
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: inheritable, overridable class data that survive reloads
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAVEBAIRD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
A drop-in replacement for Class::Data::Inheritable,
but subclasses can be reloaded without losing their class data. This is useful
in mod_perl development, and may be useful elsewhere.

In mod_perl, Apache::Reload
conveniently reloads modules that have been modified, rather than having to
restart Apache. This works well unless the module stores class data that are
not re-created during the reload. In this situation, you still need to restart the
server, in order to rebuild the class data.

Saves many (if your code starts out buggy like mine) Apache restarts.

But only if you're strict about storing all class data using this mechanism.

See Class::Data::Inheritable for more examples.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

